%global momorel 1

Summary: A C++ API to the PostgreSQL database management system
Name: libpqxx
Version: 2.5.5
Release: %{momorel}m
License: BSD
URL: http://pqxx.tk/
Group: System Environment/Libraries
%NoSource 0 ftp://gborg.postgresql.org/pub/libpqxx/stable/%{name}-%{version}.tar.gz db71975570ee31ecd0a11380dbaa8634
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: postgresql-devel, pkgconfig

%description
hat libpqxx brings you is effective use of templates to reduce the inconvenience of
dealing with type conversions; of standard C++ strings to keep you from having
to worry about buffer allocation and overflow attacks; of exceptions to take
the tedious and error-prone plumbing around error handling out of your hands;
of constructors and destructors to bring resource management under control; and
even basic object-orientation to give you some extra reliability features that
would be hard to get with most other database interfaces.

%package devel
Summary: Libraries, includes, etc. to develop PostgreSQL applications in C++
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: postgresql-devel

%description devel
Libraries, include files, etc you can use to develop PostgreSQL applications in C++.

%prep
%setup -q

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--enable-shared \
	--enable-static

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO
%{_libdir}/libpqxx-2.5.5.so

%files devel
%defattr(-, root, root)
%{_bindir}/pqxx-config
%{_includedir}/pqxx
%{_libdir}/pkgconfig/libpqxx.pc
%{_libdir}/libpqxx.a
%{_libdir}/libpqxx.la
%{_libdir}/libpqxx.so

%changelog
* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.5.5-1m)
- initial package for koffice-1.5
